<?php
	if(defined('OVADEFAULT_URL') 	== false) 	define('OVADEFAULT_URL', get_template_directory());
	if(defined('OVADEFAULT_URI') 	== false) 	define('OVADEFAULT_URI', get_template_directory_uri());

	load_theme_textdomain( 'charihope', OVADEFAULT_URL . '/languages' );
	
	// require libraries, function
	require( OVADEFAULT_URL.'/inc/init.php' );

	// Add js, css
	require( OVADEFAULT_URL.'/extend/add_js_css.php' );
	
	// require walker menu
	require_once (OVADEFAULT_URL.'/inc/ova_walker_nav_menu.php');
	

	// register menu, widget
	require( OVADEFAULT_URL.'/extend/register_menu_widget.php' );

	// require content
	require_once (OVADEFAULT_URL.'/content/define_blocks_content.php');
	
	// require breadcrumbs
	require( OVADEFAULT_URL.'/extend/breadcrumbs.php' );

	// Hooks
	require( OVADEFAULT_URL.'/inc/class_hook.php' );

	
	/* Customize */
	//  include plugin.php to use is_plugin_active()
	if( current_user_can('customize') ){
	    require_once OVADEFAULT_URL.'/customize/custom-control/google-font.php';
	    require_once OVADEFAULT_URL.'/customize/custom-control/heading.php';
	}
	require_once OVADEFAULT_URL.'/customize/class-customize.php';
    require_once OVADEFAULT_URL.'/customize/render-style.php';
    
    
    
	
	// Require metabox
	if( is_admin() ){
		// Require TGM
		require_once ( OVADEFAULT_URL.'/install_resource/active_plugins.php' );		
	}

	