<?php 

if( !defined( 'ABSPATH' ) ) exit();

if( !class_exists( 'OVAEM_metaboxes_render_event' ) ){

	class OVAEM_metaboxes_render_event{

		public static function render(){
			require_once( OVAEM_PLUGIN_PATH. '/admin/views/ovaem-metabox-event.php' );
		}

		public static function save($post_id, $post_data){
			
			if( empty($post_data) ) exit();

			/* Check Gallery exits */
			if( !$post_data['ovaem_gallery_id'] ){
				$post_data['ovaem_gallery_id'] = '';
			}

			foreach ($post_data as $key => $value) {
				if($key == 'ovaem_start_date') $value = strtotime($value);
				if($key == 'ovaem_end_date') $value = strtotime($value);

				update_post_meta( $post_id, $key, $value );
			}
		}
	}
}

?>