<?php
defined( 'ABSPATH' ) || exit();

if( !class_exists( 'OVMEV_admin_menu' ) ){

	class OVAEM_admin_menu{

		public function __construct(){
			$this->init();
		}

		public function init(){
			add_action( 'admin_menu', array( $this, 'OVAEM_register_menu' ) );
		}

		public function OVAEM_register_menu(){

			// Get Options
			
			add_menu_page( 
				__( 'Events', 'ova-events-manager' ),
				__( 'Events', 'ova-events-manager' ),
				'edit_posts',
				'ovaem-menu',
				null,
				'dashicons-calendar', 
				4
			);

			add_submenu_page( 
				'ovaem-menu', 
				__( 'Categories', 'ova-events-manager' ),
				__( 'Categories', 'ova-events-manager' ),
				'administrator',
				'edit-tags.php?taxonomy=event_cat'.'&post_type=event'
			);

			add_submenu_page(
				'ovaem-menu',
				__( 'Settings', 'ova-events-manager' ),
				__( 'Settings', 'ova-events-manager' ),
				'administrator',
				'ovaem_general_settings',
				array( 'OVAEM_Admin_Settings', 'create_admin_setting_page' )
			);

		}

	}
	new OVAEM_admin_menu();
}