<?php
/**
 * Setup charihope Child Theme's textdomain.
 *
 * Declare textdomain for this child theme.
 * Translations can be filed in the /languages/ directory.
 */
function charihope_child_theme_setup() {
	load_child_theme_textdomain( 'charihope-child', get_stylesheet_directory() . '/languages' );
}
add_action( 'after_setup_theme', 'charihope_child_theme_setup' );


// Add Code is here.

// Add Parent Style
add_action( 'wp_enqueue_scripts', 'charihope_child_scripts', 100 );
function charihope_child_scripts() {
    wp_enqueue_style( 'charihope-parent-style', get_template_directory_uri(). '/style.css' );
}
