<?php

if( !defined( 'ABSPATH' ) ) exit();

$id = get_the_ID();

$ovaem_facebook_link  = get_post_meta( $id, 'ovaem_facebook_link', true ) ? get_post_meta( $id, 'ovaem_facebook_link', true ) : '';
$ovaem_facebook_icon  = get_post_meta( $id, 'ovaem_facebook_icon', true ) ? get_post_meta( $id, 'ovaem_facebook_icon', true ) : '';

$ovaem_instagram_link = get_post_meta( $id, 'ovaem_instagram_link', true ) ? get_post_meta( $id, 'ovaem_instagram_link', true ) : '';
$ovaem_instagram_icon = get_post_meta( $id, 'ovaem_instagram_icon', true ) ? get_post_meta( $id, 'ovaem_instagram_icon', true ) : '';

$ovaem_twitter_link   = get_post_meta( $id, 'ovaem_twitter_link', true ) ? get_post_meta( $id, 'ovaem_twitter_link', true ) : '';
$ovaem_twitter_icon   = get_post_meta( $id, 'ovaem_twitter_icon', true ) ? get_post_meta( $id, 'ovaem_twitter_icon', true ) : '';

$ovaem_youtube_link   = get_post_meta( $id, 'ovaem_youtube_link', true ) ? get_post_meta( $id, 'ovaem_youtube_link', true ) : '';
$ovaem_youtube_icon   = get_post_meta( $id, 'ovaem_youtube_icon', true ) ? get_post_meta( $id, 'ovaem_youtube_icon', true ) : '';

$ovaem_reddit_link    = get_post_meta( $id, 'ovaem_reddit_link', true ) ? get_post_meta( $id, 'ovaem_reddit_link', true ) : '';
$ovaem_reddit_icon    = get_post_meta( $id, 'ovaem_reddit_icon', true ) ? get_post_meta( $id, 'ovaem_reddit_icon', true ) : '';

?>
<div class="ovaem_metabox">
	<div class="ovaem_row">
		<br>
		<label class="label"><strong><?php esc_html_e( 'Facebook', 'ova-events-manager' ); ?>:</strong></label>
		<input type="text" id="ovaem_facebook_link" value="<?php esc_attr_e($ovaem_facebook_link); ?>" placeholder="Insert link"  name="ovaem_facebook_link" autocomplete="off" />
		<input type="text" id="ovaem_facebook_icon" value="<?php esc_attr_e($ovaem_facebook_icon); ?>" placeholder="fab fa-facebook"  name="ovaem_facebook_icon" autocomplete="off" />
		<br>

		<br>
		<label class="label"><strong><?php esc_html_e( 'Instagram', 'ova-events-manager' ); ?>:</strong></label>
		<input type="text" id="ovaem_instagram_link" value="<?php esc_attr_e($ovaem_instagram_link); ?>" placeholder="Insert link"  name="ovaem_instagram_link" autocomplete="off" />
		<input type="text" id="ovaem_instagram_icon" value="<?php esc_attr_e($ovaem_instagram_icon); ?>" placeholder="fab fa-instagram"  name="ovaem_instagram_icon" autocomplete="off" />
		<br>

		<br>
		<label class="label"><strong><?php esc_html_e( 'Twitter', 'ova-events-manager' ); ?>:</strong></label>
		<input type="text" id="ovaem_twitter_link" value="<?php esc_attr_e($ovaem_twitter_link); ?>" placeholder="Insert link"  name="ovaem_twitter_link" autocomplete="off" />
		<input type="text" id="ovaem_twitter_icon" value="<?php esc_attr_e($ovaem_twitter_icon); ?>" placeholder="fab fa-twitter"  name="ovaem_twitter_icon" autocomplete="off" />
		<br>

		<br>
		<label class="label"><strong><?php esc_html_e( 'Youtube', 'ova-events-manager' ); ?>:</strong></label>
		<input type="text" id="ovaem_youtube_link" value="<?php esc_attr_e($ovaem_youtube_link); ?>" placeholder="Insert link"  name="ovaem_youtube_link" autocomplete="off" />
		<input type="text" id="ovaem_youtube_icon" value="<?php esc_attr_e($ovaem_youtube_icon); ?>" placeholder="fab fa-youtube"  name="ovaem_youtube_icon" autocomplete="off" />
		<br>

		<br>
		<label class="label"><strong><?php esc_html_e( 'Reddit', 'ova-events-manager' ); ?>:</strong></label>
		<input type="text" id="ovaem_reddit_link" value="<?php esc_attr_e($ovaem_reddit_link); ?>" placeholder="Insert link"  name="ovaem_reddit_link" autocomplete="off" />
		<input type="text" id="ovaem_reddit_icon" value="<?php esc_attr_e($ovaem_reddit_icon); ?>" placeholder="fab fa-reddit"  name="ovaem_reddit_icon" autocomplete="off" />
	</div>
	<br>
</div>

<?php wp_nonce_field( 'ovaem_nonce', 'ovaem_nonce' ); ?>