<?php 
defined( 'ABSPATH' ) || exit();

if( !class_exists( 'OVAEM_Assets' ) ){
	class OVAEM_Assets{

		public function __construct(){

			add_action( 'wp_enqueue_scripts', array( $this, 'ovaem_enqueue_scripts' ), 10 ,0  );

		}

		public function ovaem_enqueue_scripts(){

			/* Jquery UI */
			wp_enqueue_style( 'jquery-ui', OVAEM_PLUGIN_URI.'assets/libs/jquery-ui/jquery-ui.min.css' );
			wp_enqueue_script( 'jquery-ui-tabs' );
			
			/* Jquery Datetimepicker */
			wp_enqueue_style( 'datetimepicker-style', OVAEM_PLUGIN_URI.'assets/libs/datetimepicker/jquery.datetimepicker.css' );
			wp_enqueue_script( 'datetimepicker-script', OVAEM_PLUGIN_URI.'assets/libs/datetimepicker/jquery.datetimepicker.js', array('jquery'), null, true );
			
			if ( is_singular( 'event' ) ){

				wp_enqueue_script( 'fancybox-js', OVAEM_PLUGIN_URI.'/assets/libs/fancybox-master/dist/jquery.fancybox.min.js', [ 'jquery' ],false,true);
				wp_enqueue_style( 'fancybox-css', OVAEM_PLUGIN_URI.'/assets/libs/fancybox-master/dist/jquery.fancybox.min.css', array(), null);

			}

			wp_enqueue_style( 'ovaem-style', OVAEM_PLUGIN_URI.'assets/css/frontend/ovaem-style.css', array(), null );
			wp_enqueue_script( 'ovaem-script', OVAEM_PLUGIN_URI.'assets/js/frontend/ovaem-script.js', array('jquery'), null, true );
		}

	}
	new OVAEM_Assets();
}